%define my_provides	%_tmppath/my-provides
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Name: 		xbmc
Summary: 	XBMC is a free Media Center
Version: 	9.04.1
Release: 	%mkrel 4
License: 	GPLv2
Group: 		Video
URL: 		http://xbmc.org/
#because of upstreams messy naming scheme archive was extracted and renamed
#Source0: 	http://sourceforge.net/project/showfiles.php?group_id=87054&package_id=283294
Source0: 	XBMC.tar.bz2
#for svn checkouts use
#svn co https://xbmc.svn.sourceforge.net/svnroot/xbmc/branches/linuxport/XBMC
Source1: 	xbmc.png
Source2:	XBMC-rpmlintrc
Patch0:		xbmc-9.04.1-missing-CFLAGS.patch
Patch1:		xbmc-9.04.1-libcurl.patch
Patch2:		xbmc-9.04.1-lsb_release-call-fix.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	make cmake autoconf automake gcc gcc-c++ boost-devel
BuildRequires: 	nasm gperf gcc-gfortran glibc-devel libstdc++-devel
BuildRequires: 	dbus-devel hal-devel fontconfig-devel freetype2-devel fribidi-devel
BuildRequires: 	python-devel python-sqlite2 sqlite-devel devel(libmysqlclient) mysql-devel
BuildRequires: 	unzip zip unrar bzip2-devel libexpat-devel glib2-devel libjasper-devel 
BuildRequires: 	SDL-devel SDL_image-devel SDL_mixer-devel
BuildRequires: 	libmad-devel libmikmod-devel libmms-devel libvorbis-devel libfaac-devel
BuildRequires: 	audiofile-devel glew-devel devel(libasound)
BuildRequires: 	X11-devel libcdio-devel vdpau-devel avahi-core-devel  
BuildRequires: 	jpeg-devel libpng-devel libtre-devel libogg-devel libopenssl-devel
BuildRequires: 	e2fsprogs-devel  devel(liblzo2) ftgl-devel
BuildRequires: 	pcre-devel libenca-devel libcurl-devel xmms-devel
BuildRequires: 	zlib-devel ccache libsamplerate-devel pulseaudio-devel
BuildRequires:	fdupes mesa-demos yasm
Requires:	mesa-demos lsb-release curl-devel
Suggests:	xbmctex gnome-screensaver
%{py_requires}

%description
XBMC media center is a free cross-platform media-player
jukebox and entertainment hub. XBMC is open source (GPL)
software available for Linux, Mac OS X, Microsoft Windows
operating-system, and the Xbox game-console. XBMC can
play a very complete spectrum of multimedia formats,
and featuring playlist, audio visualizations, slideshow,
and weather forecast functions, together with a multitude
of third-party plugins. Originally developed as XBMP
(XBox Media Player) for the first-generation Xbox game
console in 2002, XBMC has eventually become a complete
graphical user interface replacement for the original Xbox
Dashboard, and it is currently also being ported to run
natively under Linux, Mac OS X, and Microsoft Windows
operating-system. This, The XBMC Project is also known
as "XBMC Media Center" or simply "XBMC").

%package -n xbmctex
License:   GPL
#Requires:  %name = %{version}
Summary:   %name skin compiler
Group:     Development/Other
Obsoletes: XBMCTex
Provides: XBMCTex

%description -n xbmctex
This small tool allow you to compile and build
XBMC skins

%prep
LC_ALL=C
%setup -q -n XBMC

%ifarch x86_64
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1

#if patch2 does not work because of patch_fuzz, this sed call can be used in exchange
#sed -i  's|/usr/bin/lsb_release|/bin/lsb_release|g' ./xbmc/utils/SystemInfo.cpp

`for i in $(find -name 'configure'); do chmod +x $i; done`
`for i in $(find -name 'configure2'); do chmod +x $i; done`
`for i in $(find -name '*.pl'); do chmod +x $i; done`

%ifarch x86_64
CFLAGS="-I/usr/lib64/dbus-1.0/include -I/usr/lib64/glib-2.0/include"
export CFLAGS
%endif

#--enable-halmount seems not safe as default for some desktop environments
#and is user configurable, see http://xbmc.org/forum/showpost.php?p=192083&postcount=6
./configure \
	--enable-mid \
	--enable-pulse \
	--enable-debug \
	--prefix=%{_prefix}

%build
LC_ALL=C
%make clean
%ifarch x86_64
CFLAGS="-I/usr/lib64/dbus-1.0/include -I/usr/lib64/glib-2.0/include" make
%else
%__make
%endif


%install
%make prefix=%{buildroot}/%{_prefix} install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 764 %SOURCE1 %{buildroot}%{_datadir}/pixmaps/xbmc.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=XBMC
Comment=XBMC is a free Media Center
Exec=xbmc
Icon=%{name}
Categories=AudioVideo;Audio;Video;Player;TV;Recorder;X-MandrivaLinux-CrossDesktop;
EOF

# window manager entry for other dm than gdm

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/21XBMC << EOF
NAME=XBMC
ICON=xbmc.png
DESC=XBox Media Center
EXEC=/usr/bin/xbmc-standalone
SCRIPT:
exec /usr/bin/xbmc-standalone
EOF

rm -f %buildroot/%{_sysconfdir}/x11

cp tools/XBMCTex/XBMCTex %buildroot/%_bindir/xbmctex

fdupes -s %buildroot

# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v %{buildroot}%{_datadir}/xbmc/system | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%post
%make_session

%postun
%make_session

%clean
rm -rf %{buildroot}
rm -f %{my_provides}

%files
%defattr(-,root,root)
%doc %{_datadir}/xbmc/copying.txt
%doc %{_datadir}/xbmc/keymapping.txt
%doc %{_datadir}/xbmc/LICENSE.GPL
%doc %{_datadir}/xbmc/README.linux
%doc %{_datadir}/xbmc/known_issues.txt
%{_bindir}/xbmc
%{_bindir}/xbmc-standalone
%{_datadir}/xbmc/xbmc.bin
%{_datadir}/xbmc/xbmc-xrandr
%dir %{_datadir}/xbmc/
%dir %{_datadir}/xbmc/language
%dir %{_datadir}/xbmc/media
%dir %{_datadir}/xbmc/web
%dir %{_datadir}/xbmc/screensavers
%dir %{_datadir}/xbmc/scripts
%dir %{_datadir}/xbmc/skin
%dir %{_datadir}/xbmc/sounds
%dir %{_datadir}/xbmc/system
%dir %{_datadir}/xbmc/userdata
%dir %{_datadir}/xbmc/visualisations
%{_datadir}/pixmaps/xbmc.png
%{_datadir}/applications/mandriva-xbmc.desktop
%{_datadir}/xbmc/language/*
%{_datadir}/xbmc/media/*
%{_datadir}/xbmc/screensavers/*
%{_datadir}/xbmc/screensavers/.ignoreme
%{_datadir}/xbmc/scripts/*
%{_datadir}/xbmc/skin/*
%{_datadir}/xbmc/sounds/*
%{_datadir}/xbmc/system/*
%{_datadir}/xbmc/userdata/*
%{_datadir}/xbmc/visualisations/*
%{_datadir}/xbmc/web/*
%{_datadir}/xbmc/FEH.py
%{_datadir}/xsessions/XBMC.desktop
%{_sysconfdir}/X11/wmsession.d/21XBMC

%files -n xbmctex
%defattr (-,root,root)
%_bindir/xbmctex

%changelog
* Sun Jun 07 2009 Doktor5000 <rpm@mandrivauser.de> 9.04.1-4mud2009.1
- fix problem with curl
- added gnome-screensaver as %%Sugest
- change XBMCTex to lowercase name
- added window manager entry for other dm than gdm

* Sun May 31 2009 Doktor5000 <rpm@mandrivauser.de> 9.04.1-2mud2009.1
- rediffed patches because of patch_fuzz

* Sun May 31 2009 Doktor5000 <rpm@mandrivauser.de> 9.04.1-1mud2009.1
- new version/repack 9.04.1
- add %%Requires on glxinfo and lsb_release
- change call for /usr/bin/lsb_release to /bin/lsb_release

* Sun May 31 2009 Doktor5000 <rpm@mandrivauser.de> 9.04-1mud2009.1
- initial package for MAndrivalinux 2009.1
- use svn snapshot instead of 9.04 stable because of glibc linking problem
